<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a href="javascript:void(0)">{:lang('RECYCLE_BIN_LIST')}</a></li>
    </ul>
    <form class="js-ajax-form">
        <div class="table-actions margin-top-20">
            <button class="btn btn-primary btn-sm js-ajax-submit" type="submit"
                    data-action="{:url('RecycleBin/delete')}" data-subcheck="true">{:lang('DELETE_ALL')}
            </button>
            <button class="btn btn-success btn-sm js-ajax-submit" type="submit"
                    data-action="{:url('RecycleBin/restore')}" data-subcheck="true">{:lang('RESTORE_ALL')}
            </button>
            <a class="btn btn-danger btn-sm js-ajax-dialog-btn" href="{:url('RecycleBin/clear')}"
               data-msg="{:lang('IRREVERSIBLE_OPERATION_CLEAR_ALL_FILES')}">{:lang('EMPTY_RECYCLE_BIN')}</a>
        </div>
        <table class="table table-hover table-bordered table-list">
            <thead>
            <tr>
                <th style="width: 15px">
                    <label><input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x"> </label>
                </th>
                <th style="width: 50px">ID</th>
                <th>{:lang('CONTENT_NAME')}</th>
                <th>{:lang('CONTENT_TYPE')}</th>
                <th>{:lang('DELETE_TIME')}</th>
                <th>{:lang('OPERATOR')}</th>
                <th width="130">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="list" item="vo">
                <tr>
                    <td>
                        <input type="checkbox" class="js-check" data-yid="js-check-y" data-xid="js-check-x" name="ids[]" value="{$vo.id}"
                               title="ID:{$vo.id}">
                    </td>
                    <td>{$vo.id}</td>
                    <td>{$vo.name}</td>
                    <td>
                        {:lang('TABLE_'.strtoupper($vo['table_name']))}
                    </td>
                    <td> {:date('Y-m-d H:i:s',$vo['create_time'])}</td>
                    
                    <td> {$vo.user.user_login|default=''}</td>
                    <td>
                        <a href="{:url('RecycleBin/restore', ['ids'=>$vo.id])}" class="btn btn-xs btn-success js-ajax-dialog-btn"
                           data-msg="{:lang('CONFIRM_RESTORE')}">{:lang('RESTORE')}</a>
                        <a href="{:url('RecycleBin/delete', ['ids'=>$vo.id])}" class="btn btn-xs btn-danger js-ajax-delete">{:lang('DELETE')}</a>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
        <div class="table-actions">
            <button class="btn btn-primary btn-sm js-ajax-submit" type="submit"
                    data-action="{:url('RecycleBin/delete')}" data-subcheck="true">{:lang('DELETE_ALL')}
            </button>
            <button class="btn btn-success btn-sm js-ajax-submit" type="submit"
                    data-action="{:url('RecycleBin/restore')}" data-subcheck="true">{:lang('RESTORE_ALL')}
            </button>
            <a class="btn btn-danger btn-sm js-ajax-dialog-btn" href="{:url('RecycleBin/clear')}"
               data-msg="{:lang('IRREVERSIBLE_OPERATION_CLEAR_ALL_FILES')}">{:lang('EMPTY_RECYCLE_BIN')}</a>
        </div>
        <div class="pagination">{$page}</div>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
</body>
</html>